# Oauth Object

> Source: https://elaichi.ai/docs/api-reference/mcp-oauth/oauth/

Schema for the `Oauth` resource in **MCP OAuth**.

_No documented properties._

## Methods

- [POST /oauth/register](/docs/api-reference/mcp-oauth/oauth/registeroauthclient) — Register an MCP client (RFC 7591)
- [GET /oauth/authorize](/docs/api-reference/mcp-oauth/oauth/startoauthauthorization) — Start an authorization (browser redirect)
- [POST /oauth/token](/docs/api-reference/mcp-oauth/oauth/issueoauthtoken) — Exchange a code or refresh token for an access token
- [POST /oauth/revoke](/docs/api-reference/mcp-oauth/oauth/revokeoauthtoken) — Revoke a token (RFC 7009)
- [GET /oauth/userinfo](/docs/api-reference/mcp-oauth/oauth/getuserinfo) — UserInfo endpoint (OIDC Core §5.3)
- [POST /oauth/userinfo](/docs/api-reference/mcp-oauth/oauth/postuserinfo) — UserInfo endpoint (OIDC Core §5.3)
